﻿using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class GetData : MonoBehaviour
{
	public Button thisbutton;
	public Text objectText;

	public string request = "http://corder.tech/mocha/users/*";

	void Start()
	{
		thisbutton = GetComponent<Button> ();
		objectText = GetComponent<Text> ();

		thisbutton.onClick.AddListener (CallGetData);
	}

	public void CallGetData()
	{
		DisplayAll(request, objectText);
	}
	public void DisplayAll(string request, Text objectText)
	{
		MochaParser parser = new MochaParser();
		StartCoroutine (parser.DisplayOutput(request, objectText));
	}
}
